;-----------------------------------------------------------;
;                                                           ;
; Alien Breed IV: Final Assault                             ;
; Data                                                      ;
;                                                           ;
;-----------------------------------------------------------;

;------------------------------------------------
; Data files
;------------------------------------------------
#include "animspr.asm"                          ; Animation Sprites
#include "buletspr.asm"                         ; Bullet Sprites
#include "enemyspr.asm"                         ; Enemy Sprites
#include "playrspr.asm"                         ; Player Sprites
#include "queenspr.asm"                         ; Queen Alien Sprites
#include "tiles.asm"                            ; Tile Sprites
titleData:
#ifdef TI86
#include "title16.asm"                          ; Wide screen version
#else
#include "title12.asm"                          ; Small screen version
#endif

;------------------------------------------------
; Other data
;------------------------------------------------
#ifndef TI86
tempName:
.db     5,"tmp",0                               ; Name of temp program to be created on TI-83(+)
#endif

searchString:
.db     "AB40",0

pixelTable:
.db     $01,$80,$40,$20,$10,$08,$04,$02,$01

strPaused:
.db     "Level:",0
.db     "Score:",0
.db     "Lives:",0
.db     "Health:",0
.db     "Credits:",0
.db     "Ammo:",0
.db     "Key Passes:",0
.db     "Weapons",0
.db     "Keys",0
.db     "ENTER-Play, CLEAR-Retreat",0
#ifdef TI86
.db     "     GAME PAUSED     ",0
#else
.db     "     PAUSED     ",0
#endif

strLevelInfo:
.db     "ALIEN BREED IV:",0
.db     "FINAL ASSAULT",0
.db     "LEVELSET:",0
.db     "HI-SCORE:",0
.db     "MISSION:",0
.db     "PASSCODE:",0

strPressAnyKey:
.db     "PRESS ANY KEY",0

strLevelsetFinished:
.db     "You have completed the",0
.db     "Levelset!",0

strCongratulations:
#ifdef TI86
.db     "  CONGRATULATIONS!!  ",0
#else
.db     "CONGRATULATIONS!",0
#endif

strGameOver:
#ifdef TI86
.db     "GAME OVER!!",0
#else
.db     "GAME OVER!",0
#endif

strNewHiScore:
#ifdef TI86
.db     "You got a new    "
.db     "      Hi-Score!",0
#else
.db     "You got a new  "
.db     "   Hi-Score!",0
#endif

strEnterPasscode:
#ifdef TI86
.db     "Enter Passcode:      "
.db     $1C,"_____",0
#else
.db     "Enter Passcode: "
.db     $1C,"_____",0
#endif

strIntexCredits:
.db     "CREDITS: ",0

strExitIntex:
.db     "LEAVING INTEX SYSTEM . . .",0

#ifdef TI86
intexMainMenuData:
.db     4,5
.db     0,9,"INTEX NETWORK SYSTEM",0
.db     10,20,"WEAPON SUPPLIES",0
.db     17,6,"MISCELLANEOUS SUPPLIES",0
.db     24,31,"INTEX MAP",0
.db     31,18,"EXIT INTEX SYSTEM",0

intexWeaponsMenuData:
.db     5,10
.db     0,9,"INTEX WEAPON SUPPLIES",0
.db     10,2,"TWIN MISSILE",0
.db     10,70,"1000 CR",0
.db     17,2,"FLAME ARC",0
.db     17,70,"1700 CR",0
.db     24,2,"PLASMA RIFLE",0
.db     24,70,"2500 CR",0
.db     31,2,"ROCKET LAUNCHER",0
.db     31,70,"3500 CR",0
.db     38,30,"MAIN MENU",0

intexMiscMenuData:
.db     6,12
.db     0,15,"INTEX MISC SUPPLIES",0
.db     10,2,"KEY PACK",0
.db     10,74,"300 CR",0
.db     17,2,"AMMO CLIP",0
.db     17,74,"500 CR",0
.db     24,2,"FIRST AID",0
.db     24,74,"800 CR",0
.db     31,2,"RADAR SCANNER",0
.db     31,70,"1500 CR",0
.db     38,2,"EXTRA LIFE",0
.db     38,70,"3000 CR",0
.db     45,30,"MAIN MENU",0
#else
intexMainMenuData:
.db     4,5
.db     0,11,"INTEX NETWORK SYSTEM",0
.db     10,20,"WEAPON SUPPLIES",0
.db     17,6,"MISCELLANEOUS SUPPLIES",0
.db     24,31,"INTEX MAP",0
.db     31,17,"EXIT INTEX SYSTEM",0

intexWeaponsMenuData:
.db     5,10
.db     0,7,"INTEX WEAPON SUPPLIES",0
.db     10,2,"TWIN MISSILE",0
.db     10,70,"1000 CR",0
.db     17,2,"FLAME ARC",0
.db     17,70,"1700 CR",0
.db     24,2,"PLASMA RIFLE",0
.db     24,70,"2500 CR",0
.db     31,2,"ROCKET LAUNCHER",0
.db     31,70,"3500 CR",0
.db     38,32,"MAIN MENU",0

intexMiscMenuData:
.db     6,12
.db     0,13,"INTEX MISC SUPPLIES",0
.db     10,2,"KEY PACK",0
.db     10,74,"300 CR",0
.db     17,2,"AMMO CLIP",0
.db     17,74,"500 CR",0
.db     24,2,"FIRST AID",0
.db     24,74,"800 CR",0
.db     31,2,"RADAR SCANNER",0
.db     31,70,"1500 CR",0
.db     38,2,"EXTRA LIFE",0
.db     38,70,"3000 CR",0
.db     45,32,"MAIN MENU",0
#endif

intexTable:
.db     0,5
.db     7,2
.db     2,0
.db     5,7

pauseDrawTable:
.db     18,70
.db     18,79
.db     17,87
.db     29,73
.db     28,84
.db     44,67
.db     44,77
.db     44,87

pauseDrawPtrTable:
.dw     sprLaserUp, sprTwinMissileUp, sprFlameArcUp, sprPlasmaRifleUp, sprRockerLauncherUp
.dw     tileWhiteKeyPass, tileCheckeredKeyPass, tileBlackKeyPass

animSpriteTable:
.dw     animExplosion, animVDOpen, animHDOpen, animVSOpen, animHSOpen, animVCOpen, animHCOpen

#ifdef TI86
letterTable:
.db     ".........X"
.db     "TOJE...WSN"
.db     "ID..ZVRMHC"
.db     "..YUQLGB.."
.db     "..PKFA...."
.db     "......"
#else
letterTable:
.db     ".........."
.db     "WRMH....VQ"
.db     "LG...ZUPKF"
.db     "C..YTOJEB."
.db     ".XSNIDA..."
.db     "......"
#endif

bulletOffsetTable:
.db     5,-4,2,7,-4,2,7,5
.db     4,-5,1,7,-5,1,7,4
.db     2,-6,-1,7,-6,-1,7,2
.db     3,-2,0,7,-2,0,7,3
.db     4,-5,1,7,-5,1,7,4

bulletCenterTable:
.db     0,2,0,2,2,0,2,0
.db     1,2,1,3,2,1,3,1
.db     3,3,3,3,3,3,3,3
.db     2,1,2,1,1,2,1,2
.db     1,2,1,3,2,1,3,1

bulletSizeTable:
.db     1,5,1,5,5,1,5,1
.db     3,6,3,6,6,3,6,3
.db     7,7,7,7,7,7,7,7
.db     5,3,5,3,3,5,3,5
.db     3,6,3,6,6,3,6,3

bulletDamageTable:
.db     1,3,5,7,10

queenDataTable:
.dw     sprQueen1_1_1, 500
.dw     sprQueen2_1_1, 1000
.dw     sprQueen3_1_1, 1800

queenDrawTable:
.db     0,0
.db     8,0
.db     16,0
.db     0,8
.db     8,8
.db     16,8

enemySpeedTable:
.db     3,3,3,2,3,3,3,2,3,3,3,2,3,3,3,2         ; Worm
.db     1,2,1,1,1,2,1,1,1,2,1,1,1,2,1,1         ; Face Hugger
.db     1,2,2,3,2,1,2,3,2,1,2,3,2,1,2,1         ; Normal Alien
.db     1,2,2,3,2,1,2,3,2,1,2,3,2,1,2,1         ; Strong Alien
.db     2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2         ; Security Guard

enemyEnergyTable:
.db     $01,$01,$01,$01,$01,$01,$01,$01         ; Worm
.db     $01,$01,$01,$01,$01,$01,$03,$03         ; Face Hugger
.db     $01,$02,$03,$05,$05,$07,$07,$09         ; Normal Alien
.db     $02,$03,$03,$06,$08,$0A,$0A,$0B         ; Strong Alien
.db     $03,$03,$03,$05,$05,$08,$08,$08         ; Security Guard

enemyDamageTable:
.db     5,10,15,25,20

enemyScoreTable:
.dw     10,15,30,50,100

deathSpinTable:
.db     2,3,1,0

tileFixTable:
.dw     tileUnopenAlienHole, 1
.dw     tileWormTrigger, 5
.dw     tileQueen1Trigger, 3
TILES_TO_FIX            = ($-tileFixTable)/4

sprWhiteSpace:
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111
.db %11111111

.end
