;-----------------------------------------------------------;
;                                                           ;
; Alien Breed IV: Final Assault                             ;
; Passcode Handling Routines                                ;
;                                                           ;
;-----------------------------------------------------------;

;------------------------------------------------
; getPasscode - Get passcode from user and check to see if it's valid
;
; Input:    None
; Output:   None
;------------------------------------------------
getPasscode:
        bcall(_clrscrnfull)
        bcall(_homeup)
        ld      hl,strEnterPasscode
        bcall(_puts)
        ld      hl,1*256+1
        ld      (currow),hl
        ld      b,5
        ld      hl,stringBuffer
passcodeLoop:
        push    bc
        push    hl
        call    getLetter
        pop     hl
        ld      (hl),a
        bcall(_putc)
        inc     hl
        pop     bc
        djnz    passcodeLoop
        ld      b,7
        ld      hl,(passcodePtr)
checkPasscodes:
        push    bc
        push    hl
        ld      de,stringBuffer
        call    comparePasscodes
        pop     hl
        pop     bc
        jr      z,validPasscode
        ld      de,6
        add     hl,de
        djnz    checkPasscodes
        jp      menuLoop
validPasscode:
        ld      a,b
        neg
        add     a,8
        ld      (level),a
        xor     a
        jp      startGame

;------------------------------------------------
; comparePasscodes - Compare two passcodes to see if they match
;
; Input:    HL => First passcode
;           DE => Second passcode
; Output:   Z = Passcodes equal
;------------------------------------------------
comparePasscodes:
        ld      b,5
cpPasscodes:
        ld      a,(de)
        cp      (hl)
        ret     nz
        inc     hl
        inc     de
        djnz    cpPasscodes
        ret

.end
