;-----------------------------------------------------------;
;                                                           ;
; Alien Breed IV: Final Assault                             ;
; Paused Routines                                           ;
;                                                           ;
;-----------------------------------------------------------;

teacherKey:
        bcall(_clrscrnfull)
        ld      a,1
        out     (3),a
        halt
        ld      a,11
        out     (3),a

pause:
        call    saveVideo
        bcall(_grbufclr)
        bcall(_homeup)
        ld      hl,pauseDrawPtrTable
        ld      de,weaponTable
        ld      b,8
        ld      ix,pauseDrawTable
pauseLoop:
        push    bc
        push    hl
        push    de
        push    ix
        ld      a,(de)
        or      a
        jr      z,endPauseLoop
        bcall(_ldhlind)
        ld      b,(ix+1)
        ld      c,(ix)
        call    putClippedSprite
endPauseLoop:
        pop     ix
        pop     de
        pop     hl
        pop     bc
        inc     hl
        inc     hl
        inc     de
        inc     ix
        inc     ix
        djnz    pauseLoop
        ld      hl,(level)
        ld      h,0
        inc     l
        ld      de,10*256+38
        call    setShowHL                       ; Show Level
        ld      hl,(score)
        ld      de,16*256+38
        call    setShowHL                       ; Show Score
        ld      hl,(lives)
        ld      h,0
        ld      de,22*256+38
        call    setShowHL                       ; Show Lives
        ld      hl,(health)
        ld      h,0
        ld      de,28*256+38
        call    setShowHL                       ; Show Health
        ld      hl,(credits)
        ld      de,34*256+38
        call    setShowHL                       ; Show Credits
        ld      hl,(ammo)
        ld      de,40*256+38
        call    setShowHL                       ; Show Ammo
        ld      hl,(keyPasses)
        ld      h,0
        ld      de,46*256+38
        call    setShowHL                       ; Show Key Passes
        ld      hl,strPaused
        ld      de,10*256+0
        call    vPuts                           ; "Level:"
        ld      de,16*256+0
        call    vPuts                           ; "Score:"
        ld      de,22*256+0
        call    vPuts                           ; "Lives:"
        ld      de,28*256+0
        call    vPuts                           ; "Health:"
        ld      de,34*256+0
        call    vPuts                           ; "Credits:"
        ld      de,40*256+0
        call    vPuts                           ; "Ammo:"
        ld      de,46*256+0
        call    vPuts                           ; "Key Passes:"
        ld      de,10*256+68
        call    vPuts                           ; "Weapons"
        ld      de,37*256+74
        call    vPuts                           ; "Keys"
#ifdef TI86
        ld      de,57*256+1
#else
        ld      de,57*256+2
#endif
        call    vPuts                           ; "ENTER-Play, CLEAR-Retreat"
        push    hl
#ifndef TI86
        ld      hl,gbuf+(57*12)
        ld      bc,7*256+12
        call    invertBox
#endif
        call    videoCenterCopy
        ei
#ifdef TI86
        ld      hl,$FC00+(57*16)
        ld      bc,7*256+16
        call    invertBox
#endif
        pop     hl
        set     textinverse,(iy+textflags)
        bcall(_puts)                            ; "PAUSED" or "GAME PAUSED"
        res     textinverse,(iy+textflags)
        call    restoreVideo
pauseKeyLoop:
        call    waitKey
        cp      GK_ENTER
        ret     z
        cp      GK_CLEAR
        jr      nz,pauseKeyLoop
        pop     hl
        jp      gameOver

.end
